Package de.willuhn.jameica.hbci.server.hbci.rewriter

# Class RewriterRegistry

java.lang.Object
de.willuhn.jameica.hbci.server.hbci.rewriter.RewriterRegistry

public class RewriterRegistry extends Object
Registry fuer die Rewriter.

## Constructor Summary

Constructors
Constructor
Description
`RewriterRegistry()`

## Method Summary

Modifier and Type
Method
Description
`static UmsatzRewriter`
`getRewriter(String blz, String konto)`
Liefert den Rewriter fuer die BLZ oder NULL wenn keiner existiert.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RewriterRegistry

public RewriterRegistry()

## Method Details

### getRewriter

public static UmsatzRewriter getRewriter(String blz, String konto)
Liefert den Rewriter fuer die BLZ oder NULL wenn keiner existiert.

Parameters:
  `blz` - die BLZ.
  `konto` - optionale Angabe des Konto, damit es selektiv geblacklistet werden kann.
Returns:
  der Rewriter oder NULL.